TableGenerationExecutionManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables
Class TableGenerationExecutionManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables.TableGenerationExecutionManager

    public class TableGenerationExecutionManager

extends java.lang.Object

Constructor Summary
`TableGenerationExecutionManager()`

Method Summary
`static java.util.List<SourceGenerationRequest>` | `getAvailableRequests()`
`static void` | `init(boolean purgeInvalid, int monitorInterval)`
`static java.lang.String` | `insertRequest(SourceGenerationRequest request)`
`static void` | `notifyGeneration(org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables.Execution identifier)`
`static void` | `signForGeneration(org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables.Execution identifier)`
`static void` | `start(SourceGenerationRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableGenerationExecutionManager

    public TableGenerationExecutionManager()

Method Detail

### init

    public static void init(boolean purgeInvalid,
                            int monitorInterval)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### insertRequest

    public static java.lang.String insertRequest(SourceGenerationRequest request)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAvailableRequests

    public static java.util.List<SourceGenerationRequest> getAvailableRequests()
                                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### start

    public static void start(SourceGenerationRequest request)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### signForGeneration

    public static void signForGeneration(org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables.Execution identifier)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### notifyGeneration

    public static void notifyGeneration(org.gcube.application.aquamaps.aquamapsservice.impl.engine.tables.Execution identifier)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD